Table of Contents

Class: AuthDialog | eric3/VCS/subversionPackage/AuthDialog.py
--- | ---

Class implementing an authentication interface for Subversion.

Base Classes |
--- | ---
svnAuthForm

Methods |
--- | ---
__init__ getData
| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            )

### Constructor

#### Arguments

parent
  parent widget (QWidget)
name
  name of this object (string or QString)

| getData

    getData ( self )

### Public method to retrieve the auth data.

#### Returns

tuple of QString (username, password)

Table of Contents

This document was automatically generated by HappyDoc version 2.1